module Phccorehelpers
  module PhcpluginsHelper

   # PHCAcconts - Add Admin Only Filter
    def phc_accounts_admin_only
      unless current_user && current_user.admin?
        redirect_to main_app.root_path, :flash => { :error => "Sorry Access Denied. Adminisistration Access Required!" }
      end
    end

    # PHCAccounts - Who Dunnit
    def user_for_paper_trail
      current_user ? current_user.username : 'Public user'
    end

    # PHCMembers - Grab Member Information
    def phcmembers_get_member_profile_info
      @members_profile_info = Phcmembers::Member::Profile.find(params[:profile_id])
    end

    # PHCRealListings - All Listings
    def phc_real_listings_all
      @perty_real_listings__all = Phcreallistings::Property::Listing.all
    end

    # PHCRealListings - Resolve Layouts
    def resolve_property_listing_layouts
      case action_name
        when "new", "create"
          "application"
        when "index"
          "phcreallistings/perty_list"
        else
          "application"
      end
    end

  end
end
