module Phccorehelpers
  module PhcpluginsproHelper

   # PHCAccontsPro - Add Admin Only Filter
    def phc_accounts_pro_admin_only
      unless current_user && current_user.admin?
        redirect_to main_app.root_path, :flash => { :error => "Sorry Access Denied. Adminisistration Access Required!" }
      end
    end

    # PHCAccountspro - Who Dunnit
    def user_for_paper_trail
      current_user ? current_user.username : 'Public user'
    end

    # PHCMembersPro - Grab Member Information
    def phcmemberspro_get_member_profile_info
      @members_profile_info = Phcmemberspro::Member::Profile.find(params[:profile_id])
    end

    # PHCRealListingsPro - All Listings
    def phc_real_listings_pro_all
      @property_real_listings_pro_all = Phcreallistingspro::Property::Listing.all
    end

    # PHCRealListingsPro - Resolve Layouts
    def resolve_property_listing_layouts
      case action_name
        when "new", "create"
          "application"
        when "index"
          "phcreallistingspro/property_list"
        else
          "application"
      end
    end

  end
end
